ChartDirector Ver 5.0 (PHP Edition)

FinanceChart.addEnvelop

Usage

addEnvelop(period, range, lineColor, fillColor)

Description

Adds a price envelop to the main chart. The price envelop is a defined as a ratio around a moving average. For example, a ratio of 0.2 means 20% above and below the moving average.

Arguments

Argument | Default | Description
--- | --- | ---
period | (Mandatory) | The period for the moving average.
range | (Mandatory) | The ratio above and below the moving average.
lineColor | (Mandatory) | The color of the lines defining the upper and lower limits.
fillColor | (Mandatory) | The color to fill the regional within the band.

Return Value

An InterLineLayer object representing the band created.

© 2009 Advanced Software Engineering Limited. All rights reserved.